
#include <iostream>
#include "triangle.h"

namespace cs180
{
  //************************************************************************
  /*! \brief Constructor 
   *
   * Creates a triangle object of height h, and a default fill character of '&'*/
  triangle::triangle(int h): height(h), fillc('&')
  {
  }


  //************************************************************************
  /*! \brief Display the triangle object on standard output 
   *
   * The fill character is the same as the last fill character used
   */
  void triangle::display()
  {
    triangle::print();
  }


  //************************************************************************
  /*! \brief Display the triangle object on standard output 
  *
  * The fill character is specified in the call
  *
  * \param c the fill character used
  */
  void triangle::display(char c)
  {
    triangle::fillc = c;
    triangle::print();
  }

  //************************************************************************
  /*! \brief Internal print function
   *
   * Draws a equilateral triangle of a height indicated by member 'height'
   * \var spaces is spaces
   */
  void triangle::print()
  {
    int spaces; /* number of spaces */

    spaces = triangle::height;

    for (int i = 0; i <= height; i++)
      {
	for (int j = 0; j < spaces; j++)
	  {
	    std::cout << " ";
	  }
	for (int k = (i * 2) - 1; k > 0; k--)
	  {
	    std::cout << triangle::fillc;
	  }
	std::cout << std::endl;
	spaces--;
      }
    std::cout << std::endl;

  }
};

